%def_disable static

Name: vips
Version: 7.16.3
Release: alt3

Summary: Large image processing library
License: GPL
Group: Graphics

Url: http://www.vips.ecs.soton.ac.uk
Source: %url/supported/7.16/%name-%version.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Mon Oct 06 2008
BuildRequires: gcc-c++ glib2-devel libICE-devel libImageMagick-devel libX11-devel libjpeg-devel liblcms-devel libpng-devel libtiff-devel libxml2-devel python-modules

%description
VIPS is an image processing library. It is good for very large images (ie.
larger than the amount of RAM in your machine), and for working with colour.
It includes a C++ API, complete man pages, a command-line interface, automatic
threading and an operation database. There are several user interfaces
built on top of VIPS: for example "nip".

%package -n lib%name
Summary: VIPS development kit
Group: System/Libraries

%package -n lib%name-devel
Summary: VIPS development kit
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel < 7.16.3-alt3

%if_enabled static
%package -n lib%name-devel-static
Summary: VIPS static libraries
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static < 7.16.3-alt3
%endif

%description -n lib%name
Shared libraries for VIPS.

%description -n lib%name-devel
Development libraries and header files for VIPS.

%if_enabled static
%description -n lib%name-devel-static
Static libraries for developing statically linked VIPS applications.
%endif

%prep
%setup

%build
%configure
%make_build

%install
%makeinstall_std
%find_lang %name
mkdir -p %buildroot{%_includedir,%_bindir,%_libdir,%_man1dir,%_man3dir,%_datadir}

%files -f %name.lang
%doc AUTHORS THANKS README TODO COPYING ChangeLog
%_bindir/*
%_man1dir/*.1*
%_docdir/vips
%_datadir/vips

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_includedir/vips/*
%_libdir/lib*.so
%_pkgconfigdir/*
%_man3dir/*.3*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib*.a
%endif

%changelog
* Sat Dec 06 2008 Michael Shigorin <mike@altlinux.org> 7.16.3-alt3
- performed libification
- disabled static subpackage by default
- added Packager:
- minor spec cleanup

* Thu Dec 04 2008 Michael Shigorin <mike@altlinux.org> 7.16.3-alt2
- applied repocop patch

* Mon Nov 17 2008 Michael Shigorin <mike@altlinux.org> 7.16.3-alt1
- 7.16.3

* Tue Oct 07 2008 Michael Shigorin <mike@altlinux.org> 7.16.2-alt1
- 7.16.2
- spec cleanup
- NB: this package seeks proper maintainer

* Tue Jun 21 2005 Anatoly Yakushin <jaa@altlinux.ru> 7.10.10-alt1
- new stable version

* Wed Mar 09 2005 Anatoly Yakushin <jaa@altlinux.ru> 7.10.8-alt1
- new stable version

* Wed Dec 17 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.9.0-alt2
- delete *.la files

* Thu Oct 23 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.9.0-alt1
- new version. spec clean

* Mon Sep 15 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.8.11-alt1
- new version

* Thu May 22 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.8.8-alt2
- bug fix spec file

* Thu May 08 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.8.8-alt1
- adapting spec from Sisyphus

* Mon Feb 3 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.6-2
- hack to change default install prefix to /usr/local

* Thu Jan 30 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.7-1
- first stab at an rpm package for vips
